%define pkg_name        Math-Geometry-Planar
%define pkg_version     1.16
%define rpm_pkg_version 1.16
%define rpm_pkg_release 2.n0i.2

Summary:       A collection of planar geometry functions
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DV/DVDPOL/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(Math::Geometry::Planar::GPC) >= 1.04
Requires:      perl(Math::Geometry::Planar::Offset) >= 1.03
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Carp)}
%{!?_without_test:BuildRequires: perl(Math::Geometry::Planar::GPC) >= 1.04}
%{!?_without_test:BuildRequires: perl(Math::Geometry::Planar::Offset) >= 1.03}
%{!?_without_test:BuildRequires: perl(POSIX)}


%description
This module provides a set of 2D polygon, line and line segment operations.
The module also uses the GPC module for polygon clipping operations.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.16-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Thu Mar 30 2006 Marius Feraru <altblue@n0i.net> 1.16-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.11
- rebuild on perl 5.8.8
